<?php
/*
	Redaxo-Addon ImgaeCropper - Backend-Bildbearbeitung
	Konfiguration
	v1.0
	Original by www.jungwirth-media.at
	Rewritten for Rex 4.2x and higher by Falko Müller (www.falkomueller.com)
	package: redaxo4
*/

//Variablen deklarieren
$mypage = "imagecropper";

$REX['ADDON']['rxid'][$mypage] = '135';
$REX['ADDON']['page'][$mypage] = $mypage;
$REX['ADDON']['perm'][$mypage] = $mypage.'[]';
$REX['ADDON']['author'][$mypage] = '&copy; Falko M&uuml;ller - <a href="http://www.falkomueller.com" target="_blank">www.falkomueller.com</a>';
$REX['ADDON']['version'][$mypage] = '1.0';
$REX['ADDON']['supportpage'][$mypage] = 'forum.redaxo.de';

$REX['PERM'][] = $mypage.'[]';

//Sprachfile einladen
if ($REX['REDAXO']):
	$I18N->appendFile($REX['INCLUDE_PATH']."/addons/".$mypage."/lang/");
	$REX['ADDON']['name'][$mypage] = $I18N->Msg('a135_title');
	
	$REX['ADDON'][$mypage]['SUBPAGES'] = array(
		array('', $I18N->Msg('a135_subnavi_index')),
		array('help', $I18N->Msg('a135_subnavi_help'))
	);
endif;

//Backendfunktionen einladen/definieren
if ($REX['REDAXO'] && $REX['USER'] && $REX['ADDON']['status'][$mypage] == true):
	if ($REX['USER']->hasPerm($mypage.'[]') || $REX['USER']->isAdmin()):
		require_once $REX['INCLUDE_PATH']."/addons/".$mypage."/functions/functions.inc.php";
	
		//Cropeinbindung festlegung
		$page = rex_request('page');
		$subpage = rex_request('subpage');
		$addaction = rex_request('addaction');
		$stcArr = array("mediapool");	//Definition der gültigen Seiten, wo die Strukturerweiterungen greifen sollen
		
			if ((in_array($page, $stcArr) || ($page == $mypage && $subpage == "cropimg"))):
				rex_register_extension('PAGE_HEADER', 'a135_addAssets');
				rex_register_extension('MEDIA_FORM_EDIT', 'a135_addLink2Media', $params);
				rex_register_extension('MEDIA_LIST_FUNCTIONS', 'a135_addLink2Medialist');
	
				rex_register_extension('OUTPUT_FILTER', 'a135_showCrop');
			endif;
	endif;
endif;
?>